<?php

namespace app\modules\card\controllers;

use DragonCode\CardNumber\CardNumber;
use DragonCode\CardNumber\Factories\BankFactory;
use DragonCode\CardNumber\Formatters\BankFormatter;

class CardController extends \kernel\app_modules\card\controllers\CardController
{

    public function actionTestCard(): string
    {
        $formatter = BankFormatter::create();

        $customer = BankFactory::create()->paymentType(2)->bank(323, 42, 75)->client(15);

        return CardNumber::generate($customer, $formatter);
    }

}